// LCD module connections
sbit LCD_RS at RC0_bit;
sbit LCD_RW at RC1_bit;
sbit LCD_EN at RC2_bit;
sbit LCD_D4 at RB4_bit;
sbit LCD_D5 at RB5_bit;
sbit LCD_D6 at RB6_bit;
sbit LCD_D7 at RB7_bit;

sbit LCD_RS_Direction at TRISC0_bit;
sbit LCD_EN_Direction at TRISC2_bit;
sbit LCD_D4_Direction at TRISB4_bit;
sbit LCD_D5_Direction at TRISB5_bit;
sbit LCD_D6_Direction at TRISB6_bit;
sbit LCD_D7_Direction at TRISB7_bit;
// End LCD module connections


unsigned int temp_data;
unsigned char adc_data[16];
void main()
{
 //Configuring all as  Analog Channels and Display Data on Channel-0 on LCD
 //Data Displayed on LCD is as it is.
 //No Conversion Occurs
 ADCON0 = 0x81;
 ADCON1 = 0xC0;      //Made all channel as analog channels
 Lcd_Init();
 Delay_ms(100);
 LCD_RW = 0;
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 ADC_Init();
 Delay_ms(100);
 while(1)
 {
  Lcd_Cmd(_LCD_CLEAR);
  Lcd_Out(1,1,"ADC DATA");
  temp_data = ADC_Read(0);
  IntToStr(temp_data,adc_data);
  Lcd_Out(2,1,adc_data);
  Delay_ms(1000);
 }
}